document mingw linker fix and close associated bug
[debian/gzip] / zforce.in
index bc3441d83f6dc0ba31e75f9f090e3d7b1319ceb0..023a661ebdb450361ea94de77e43d4e1f2765cf9 100644 (file)
--- a/zforce.in
+++ b/zforce.in
@@ -6,7 +6,7 @@
 # 12345678901234 is renamed to 12345678901.gz
 
 
-# Copyright (C) 2002, 2007, 2010 Free Software Foundation
+# Copyright (C) 2002, 2007, 2010-2018 Free Software Foundation, Inc.
 # Copyright (C) 1993 Jean-loup Gailly
 
 # This program is free software; you can redistribute it and/or modify
 # with this program; if not, write to the Free Software Foundation, Inc.,
 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
-bindir=@bindir@
-case $1 in
---__bindir) bindir=${2?}; shift; shift;;
-esac
-PATH=$bindir:$PATH; export PATH
-
 version="zforce (gzip) @VERSION@
-Copyright (C) 2010-2013 Free Software Foundation, Inc.
+Copyright (C) 2010-2018 Free Software Foundation, Inc.
 This is free software.  You may redistribute copies of it under the terms of
-the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
+the GNU General Public License <https://www.gnu.org/licenses/gpl.html>.
 There is NO WARRANTY, to the extent permitted by law.
 
 Written by Jean-loup Gailly."
@@ -44,20 +38,20 @@ not compress them twice.
 Report bugs to <bug-gzip@gnu.org>."
 
 if test $# = 0; then
-  echo >&2 "$0: invalid number of operands; try \`$0 --help' for help"
+  printf >&2 '%s\n' "$0: invalid number of operands; try \`$0 --help' for help"
   exit 1
 fi
 
 res=0
 for i do
   case "$i" in
-  --h*) exec echo "$usage";;
-  --v*) exec echo "$version";;
+  --h*) printf '%s\n' "$usage"   || exit 1; exit;;
+  --v*) printf '%s\n' "$version" || exit 1; exit;;
   *[-.]z | *[-.]gz | *.t[ag]z) continue;;
   esac
 
   if test ! -f "$i" ; then
-    echo zforce: $i not a file
+    printf '%s\n' "zforce: $i not a file"
     res=1
     continue
   fi
@@ -65,11 +59,7 @@ for i do
   if gzip -lv < "$i" 2>/dev/null | grep '^defl' > /dev/null; then
 
     new="$i.gz"
-    if mv "$i" "$new"; then
-      echo $i -- replaced with $new
-    else
-      res=$?
-    fi
+    mv "$i" "$new" && printf '%s\n' "$i -- replaced with $new" || res=1
   fi
 done
 exit $res